--- title: "Import a Custom Trusted CA Certificate" slug: "import-a-custom-trusted-ca-certificate" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/import-a-custom-trusted-ca-certificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Import a Custom Trusted CA Certificate This URL imports a custom trusted CA certificate to the Manager. ## Resource URL PUT /domain/sslconfiguration/importtrustedcert ## Content-type value multipart/form-data; boundary= ## Request Parameters URL Parameters: None Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | MultiPart | Holds the body part objects | Object | Yes | Details of BodyPart[0]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | BodyPart[0] | Holds the Import re-sign certificate object | Application/json object | Yes | Details of ImportResignCert: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | fileName | Name of the file | String | Yes | Details of BodyPart[1]: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | BodyPart[1] | Holds the .pem file as an input stream | Application/octet-stream | Yes | Details of .pem file: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | File | The SSL key file data | ByteArrayInputStream | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation is successful | Number | ## Example **Request** PUT [https:///sdkapi/domain/sslconfiguration/importtrustedcert](https://%3CNSM_IP%3E/sdkapi/sensor/1002/sslconfiguration) **Payload** ``` ----Boundary_1_12424925_1353496814940 Content-Type: application/json { "fileName": "test.pem"} ----Boundary_1_12424925_1353496814940 Content-Type: application/octet-stream ----Boundary_1_12424925_1353496814940— ``` **Response** ``` { "status": 1 } ``` ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 400 | 5301 | Invalid file type given for import: The file name does not have any extension | | 3 | 400 | 5301 | Invalid file type given for import expected is .pem while was provided |